Docs
Other

Create Status Page

POST
/api/status-pages

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API key from the app, starting with upk_

Request Body

application/json
  1. body
slug?string|null
title*Title
Length1 <= length <= 80
enabled?Enabled
Defaulttrue
monitor_ids?array<>
Itemsitems <= 50
logo_url?string|null
favicon_url?string|null
accent_color?string|null
header_text?string|null
footer_text?string|null
footer_link_label?string|null
footer_link_url?string|null
hide_powered_by?Hide Powered By
Defaultfalse
theme?Theme
Default"system"
homepage_url?string|null

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X POST 'https://upty.io/api/status-pages' \  -H 'Content-Type: application/json' \  -d '{  "title": "string"}'
Example Response
null